aboutsummaryrefslogtreecommitdiff
path: root/local
diff options
context:
space:
mode:
authorKarel Kočí <cynerd@email.cz>2022-01-09 19:44:19 +0100
committerKarel Kočí <cynerd@email.cz>2022-01-09 19:44:19 +0100
commit4e92f8998c4802f218e51ce254fca41dd6954e37 (patch)
treee5282c0107908b9288ab635c3c4483895a96d4a8 /local
parenteebb8df9d311080c92d0fbabd43e93121358f154 (diff)
downloadmyconfigs-4e92f8998c4802f218e51ce254fca41dd6954e37.tar.gz
myconfigs-4e92f8998c4802f218e51ce254fca41dd6954e37.tar.bz2
myconfigs-4e92f8998c4802f218e51ce254fca41dd6954e37.zip
Switch to Sway
Diffstat (limited to 'local')
-rw-r--r--local/bin/startsway17
1 files changed, 17 insertions, 0 deletions
diff --git a/local/bin/startsway b/local/bin/startsway
new file mode 100644
index 0000000..a162deb
--- /dev/null
+++ b/local/bin/startsway
@@ -0,0 +1,17 @@
+#!/bin/sh
+set -eu
+
+# Declare the current desktop
+export XDG_CURRENT_DESKTOP=sway
+# Use GTK theme for QT applications
+export QT_QPA_PLATFORMTHEME=gtk2
+export QT_STYLE_OVERRIDE='gtk2'
+# Fix fullscreen game offscreen
+export SDL_VIDEO_MINIMIZE_ON_FOCUS_LOSS=0
+# To fix missing textures on intel
+export force_s3tc_enable=true
+# Fix firefox touchscreen gestures and force wayland
+export MOZ_USE_XINPUT2=1
+export MOZ_ENABLE_WAYLAND=1
+
+exec dbus-launch --exit-with-session sway